﻿using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using Microsoft.Extensions.Logging;

namespace StudiApp.ViewModels
{
    [QueryProperty("Text", "Text")]
    public partial class CoursesEditViewModel : ObservableObject
    {
        private readonly ILogger _logger;

        [ObservableProperty] 
        private string _text;

        public CoursesEditViewModel(ILogger<CoursesEditViewModel> logger)
        {
            _logger = logger;
        }

        [RelayCommandAttribute]
        async Task GoBack()
        {
            _logger.LogInformation($"Go Back From {nameof(CoursesEditViewModel)}");
            //Go to last on stack with ".."
            await Shell.Current.GoToAsync("..");
        }
    }
}
