#! /bin/sh

sudo docker compose pull
sudo docker compose up -d

project_key="${PROJECT_KEY}"
token="${TOKEN}"

if [ "${project_key}" = "" ]
then 
    read -p "Project key: " project_key
fi

if [ "${token}" = "" ]
then
    read -p "Token: " token
fi

if [ "${project_key}" = "${PROJECT_KEY}" ] && [ "${token}" = "${TOKEN}" ]
then
    read -p "Press enter when sonarqube is available" _
fi

dotnet sonarscanner begin /k:"${project_key}" /d:sonar.host.url="http://localhost:9000"  /d:sonar.login="${token}"
dotnet build ../StudiApp/StudiApp.sln ${BUILD_ARGS}

if [ "$1" != "-t" ]
then
    dotnet test ../StudiApp/StudiApp.sln ${BUILD_ARGS}
fi

dotnet sonarscanner end /d:sonar.login="${token}"

read -p "Press enter when finished, sonarqube will quit then" _
sudo docker compose down
